## PhoshActivity

PhoshActivity — An app in the favorites overview

## Functions

GtkWidget * | phosh_activity_new ()
const char * | phosh_activity_get_app_id ()
void | phosh_activity_set_thumbnail ()
void | phosh_activity_get_thumbnail_allocation ()

## Properties

char * | app-id | Read / Write / Construct Only
gboolean | maximized | Read / Write
int | win-height | Read / Write
int | win-width | Read / Write

## Signals

void | clicked | Run Last
void | closed | Run Last

## Types and Values

#define | PHOSH_TYPE_ACTIVITY
| PhoshActivity

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── PhoshActivity

## Implemented Interfaces

PhoshActivity implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshActivity is used to select a running application in the overview.

## Functions

### phosh_activity_new ()

    GtkWidget *
    phosh_activity_new (const char *app_id);

### phosh_activity_get_app_id ()

    const char *
    phosh_activity_get_app_id (PhoshActivity *self);

### phosh_activity_set_thumbnail ()

    void
    phosh_activity_set_thumbnail (PhoshActivity *self,
                                  PhoshThumbnail *thumbnail);

### phosh_activity_get_thumbnail_allocation ()

    void
    phosh_activity_get_thumbnail_allocation
                                   (PhoshActivity *self,
                                    GtkAllocation *allocation);

## Types and Values

### PHOSH_TYPE_ACTIVITY

    #define PHOSH_TYPE_ACTIVITY (phosh_activity_get_type())

### PhoshActivity

    typedef struct _PhoshActivity PhoshActivity;

## Property Details

### The `“app-id”` property

      “app-id”                   char *

The application id.

Owner: PhoshActivity

Flags: Read / Write / Construct Only

Default value: ""

### The `“maximized”` property

      “maximized”                gboolean

Whether the window is maximized.

Owner: PhoshActivity

Flags: Read / Write

Default value: FALSE

### The `“win-height”` property

      “win-height”               int

The window's height.

Owner: PhoshActivity

Flags: Read / Write

Allowed values: >= 0

Default value: 300

### The `“win-width”` property

      “win-width”                int

The window's width.

Owner: PhoshActivity

Flags: Read / Write

Allowed values: >= 0

Default value: 300

## Signal Details

### The `“clicked”` signal

    void
    user_function (PhoshActivity *phoshactivity,
                   gpointer       user_data)

Flags: Run Last

### The `“closed”` signal

    void
    user_function (PhoshActivity *phoshactivity,
                   gpointer       user_data)

Flags: Run Last